Skip to content
Docs
Catalog Tasks

Get task status

Get task status

GET/zones/{zone_id}/catalog_tasks/{task_id}

Returns 200 with task details when pending, running, or failed. Returns 303 redirect to the install when completed.

Path ParametersExpand Collapse
zone_id: string
task_id: string
Header ParametersExpand Collapse
"X-Client-Request-ID": optional string
formatuuid
ReturnsExpand Collapse
Task = object { id, created_at, operation, 9 more }
id: string
created_at: string
formatdate-time
operation: TaskOperation
Accepts one of the following:
"create"
"delete"
status: TaskStatus
Accepts one of the following:
"pending"
"running"
"completed"
"failed"
updated_at: string
formatdate-time
error_message: optional string
install_id: optional string
package_id: optional string
package_slug: optional string
package_version: optional number
warnings: optional array of object { code, details, message, 4 more }

Informational warnings about the task outcome. For delete tasks, warns when adopted entities (pre-existing resources not created by the catalog) will be preserved rather than deleted.

code: "validation_error" or "bad_request" or "unauthorized" or 6 more
Accepts one of the following:
"validation_error"
"bad_request"
"unauthorized"
"forbidden"
"not_found"
"conflict"
"rate_limit_exceeded"
"internal_error"
"service_unavailable"
details: array of object { code, field, message }
code: "validation_error" or "bad_request" or "unauthorized" or 6 more
Accepts one of the following:
"validation_error"
"bad_request"
"unauthorized"
"forbidden"
"not_found"
"conflict"
"rate_limit_exceeded"
"internal_error"
"service_unavailable"
field: string

valid json path for request body

message: string

error message for specific error

message: string

summary of the error

path: string
formaturl
request_id: string
formatuuid
status: number

HTTP Status Code

timestamp: string
formatdate-time

Get task status

curl https://zones/$ZONE_ID/catalog_tasks/$TASK_ID
{
  "id": "id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "operation": "create",
  "status": "pending",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "error_message": "error_message",
  "install_id": "install_id",
  "links": [
    {
      "href": "href",
      "rel": "rel",
      "properties": {
        "foo": "bar"
      },
      "titles": {
        "foo": "string"
      },
      "type": "type"
    }
  ],
  "package_id": "package_id",
  "package_slug": "package_slug",
  "package_version": 0,
  "warnings": [
    {
      "code": "validation_error",
      "details": [
        {
          "code": "validation_error",
          "field": "field",
          "message": "message"
        }
      ],
      "message": "message",
      "path": "path",
      "request_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "status": 0,
      "timestamp": "2019-12-27T18:11:19.117Z"
    }
  ]
}
Returns Examples
{
  "id": "id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "operation": "create",
  "status": "pending",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "error_message": "error_message",
  "install_id": "install_id",
  "links": [
    {
      "href": "href",
      "rel": "rel",
      "properties": {
        "foo": "bar"
      },
      "titles": {
        "foo": "string"
      },
      "type": "type"
    }
  ],
  "package_id": "package_id",
  "package_slug": "package_slug",
  "package_version": 0,
  "warnings": [
    {
      "code": "validation_error",
      "details": [
        {
          "code": "validation_error",
          "field": "field",
          "message": "message"
        }
      ],
      "message": "message",
      "path": "path",
      "request_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "status": 0,
      "timestamp": "2019-12-27T18:11:19.117Z"
    }
  ]
}